### Hierarchy

- IGameNode
  - IGameTile

### Implemented by

- GameLegendTile
- GameLegendTileAnd
- GameLegendTileOr
- GameLegendTileSimple
- GameSprite
- GameSpritePixels
- GameSpriteSingleColor

## Index

### Properties

- __coverageCount
- __source
- _getDescendantTiles
- addCells
- equals
- getCellsThatMatch
- getCollisionLayer
- getName
- getSprites
- getSpritesThatMatch
- hasNegationTileWithModifier
- hasSingleCollisionLayer
- isOr
- matchesCell
- removeCells
- setCollisionLayer
- subscribeToCellChanges
- updateCells

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- hasCell
- toSourceString
- toString

## Properties

### __coverageCount

__coverageCount: Optional<number>

Inherited from IGameNode.__coverageCount

- Defined in models/game.ts:14

### __source

__source: object

Inherited from IGameNode.__source

- Defined in models/game.ts:13

#### Type declaration

- ##### code: string

- ##### sourceOffset: number

### _getDescendantTiles

_getDescendantTiles: function

- Defined in models/tile.ts:18

#### Type declaration

- - (): IGameTile[]

  - #### Returns IGameTile[]

### addCells

addCells: function

- Defined in models/tile.ts:15

#### Type declaration

- - (sprite: GameSprite, cells: Cell[], wantsToMove: Optional<RULE_DIRECTION>): void

  - #### Parameters

    - ##### sprite: GameSprite

    - ##### cells: Cell[]

    - ##### wantsToMove: Optional<RULE_DIRECTION>

    #### Returns void

### equals

equals: function

- Defined in models/tile.ts:28

#### Type declaration

- - (t: IGameTile): boolean

  - #### Parameters

    - ##### t: IGameTile

    #### Returns boolean

### getCellsThatMatch

getCellsThatMatch: function

- Defined in models/tile.ts:25

#### Type declaration

- - (): Set<Cell>

  - #### Returns Set<Cell>

### getCollisionLayer

getCollisionLayer: function

- Defined in models/tile.ts:22

#### Type declaration

- - (): CollisionLayer

  - #### Returns CollisionLayer

### getName

getName: function

- Defined in models/tile.ts:27

#### Type declaration

- - (): string

  - #### Returns string

### getSprites

getSprites: function

- Defined in models/tile.ts:19

#### Type declaration

- - (): GameSprite[]

  - #### Returns GameSprite[]

### getSpritesThatMatch

getSpritesThatMatch: function

- Defined in models/tile.ts:26

#### Type declaration

- - (cell: Cell): Set<GameSprite>

  - #### Parameters

    - ##### cell: Cell

    #### Returns Set<GameSprite>

### hasNegationTileWithModifier

hasNegationTileWithModifier: function

- Defined in models/tile.ts:14

#### Type declaration

- - (): boolean

  - #### Returns boolean

### hasSingleCollisionLayer

hasSingleCollisionLayer: function

- Defined in models/tile.ts:20

#### Type declaration

- - (): boolean

  - #### Returns boolean

### isOr

isOr: function

- Defined in models/tile.ts:24

#### Type declaration

- - (): boolean

  - #### Returns boolean

### matchesCell

matchesCell: function

- Defined in models/tile.ts:23

#### Type declaration

- - (cell: Cell): boolean

  - #### Parameters

    - ##### cell: Cell

    #### Returns boolean

### removeCells

removeCells: function

- Defined in models/tile.ts:17

#### Type declaration

- - (sprite: GameSprite, cells: Cell[]): void

  - #### Parameters

    - ##### sprite: GameSprite

    - ##### cells: Cell[]

    #### Returns void

### setCollisionLayer

setCollisionLayer: function

- Defined in models/tile.ts:21

#### Type declaration

- - (collisionLayer: CollisionLayer): void

  - #### Parameters

    - ##### collisionLayer: CollisionLayer

    #### Returns void

### subscribeToCellChanges

subscribeToCellChanges: function

- Defined in models/tile.ts:13

#### Type declaration

- - (t: SimpleTileWithModifier): void

  - #### Parameters

    - ##### t: SimpleTileWithModifier

    #### Returns void

### updateCells

updateCells: function

- Defined in models/tile.ts:16

#### Type declaration

- - (sprite: GameSprite, cells: Cell[], wantsToMove: RULE_DIRECTION): void

  - #### Parameters

    - ##### sprite: GameSprite

    - ##### cells: Cell[]

    - ##### wantsToMove: RULE_DIRECTION

    #### Returns void

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Inherited from IGameNode.__getLineAndColumnRange

  - Defined in models/game.ts:16

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Inherited from IGameNode.__getSourceLineAndColumn

  - Defined in models/game.ts:15

  #### Returns object

  - ##### colNum: number

  - ##### lineNum: number

### hasCell

- hasCell(cell: Cell): boolean

- - Defined in models/tile.ts:29

  #### Parameters

  - ##### cell: Cell

  #### Returns boolean

### toSourceString

- toSourceString(): string

- Inherited from IGameNode.toSourceString

  - Defined in models/game.ts:18

  #### Returns string

### toString

- toString(): string

- Inherited from IGameNode.toString

  - Defined in models/game.ts:17

  #### Returns string

Generated using TypeDoc